Package org.apache.coyote.http11.upgrade

# Interface InternalHttpUpgradeHandler

All Superinterfaces:
  `HttpUpgradeHandler`

All Known Implementing Classes:
  `Http2AsyncUpgradeHandler`, `WsHttpUpgradeHandler`

public interface InternalHttpUpgradeHandler extends HttpUpgradeHandler
This Tomcat specific interface is implemented by handlers that require direct access to Tomcat's I/O layer rather than going through the Servlet API.

## Method Summary

Modifier and Type
Method
Description
`default UpgradeInfo`
`getUpgradeInfo()`
`default boolean`
`hasAsyncIO()`
`void`
`pause()`
`void`
`setSocketWrapper(SocketWrapperBase<?> wrapper)`
`void`
`setSslSupport(SSLSupport sslSupport)`
`void`
`timeoutAsync(long now)`
`AbstractEndpoint.Handler.SocketState`
`upgradeDispatch(SocketEvent status)`

### Methods inherited from interface jakarta.servlet.http.HttpUpgradeHandler

`destroy, init`

## Method Details

### upgradeDispatch

AbstractEndpoint.Handler.SocketState upgradeDispatch(SocketEvent status)

### timeoutAsync

void timeoutAsync(long now)

### setSocketWrapper

void setSocketWrapper(SocketWrapperBase<?> wrapper)

### setSslSupport

void setSslSupport(SSLSupport sslSupport)

### pause

void pause()

### hasAsyncIO

default boolean hasAsyncIO()

### getUpgradeInfo

default UpgradeInfo getUpgradeInfo()